AiTranslator
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
List product tenants with AI status + usage
Lists the product's tenants with AI on/off status and monthly usage (tokens + cost). Report drill-down under a product.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*string
Product UUID
Format
uuidQuery Parameters
date*string
Month to report (YYYY-MM-DD)
limit?integer
Pagination limit
Default
30offset?integer
Pagination offset
Default
0name?string
Filter by tenant name (ILIKE)
sort?string
Sort: name,-name,price,-price
aiTranslatorId?string
Scope usage (tokens/cost) to this AI translator UUID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/ai-products/497f6eca-6276-4993-bfeb-53cbbbba6f08/ai-tenants?date=2026-07-01&sort=-price"{ "tenants": [ { "id": "d3cb3f65-5b8b-4620-8480-5165621e1112", "name": "DEMO", "aiTranslatorId": "d3cb3f65-5b8b-4620-8480-5165621e1112", "status": { "id": 0, "name": "Off" }, "promptTokenCount": 12000, "completionTokenCount": 8000, "tokenCount": 20000, "price": 5.11, "lastUpdate": "2026-07-14 14:27:25" } ], "pagination": { "maxCount": 4 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}